Overview

The Tablet Shortcut Menu is a utility for your ThinkPad computer that provides shortcuts for starting ThinkPad utility programs such as Access Connections, Presentation Director and EasyEject Utility, for launching custom defined applications, for changing system settings and for changing the focus from one window to another window.

Through this utility, you can also customize auto screen rotation settings and set the system to automatically resume from suspend state when the digitizer pen is removed from its slot.

With the Tablet Shortcut Menu, you can do the following:

  • Start the ThinkPad utility programs: Access Help, Access Connections, Presentation Director, and EasyEject Utility. This is an alternative to using the function key combinations on the computer keyboard.

  • Change system settings. That is, put your computer in standby mode, enable or disable wireless features, adjust the sound level, or control the brightness of the display.

  • Launch the Tablet and Pen Properties panel, on which you can configure the settings for the Tablet Buttons and Tablet Digitizer Pen.

  • Launch the Touch Panel applet, on which you can configure and calibrate the touch panel of your system.

  • Change window focus. Select a window and show it on top of the other windows. This is an alternative to using the Alt+Tab key combination on the computer keyboard.

  • Start custom defined applications

If you press the Settings button on the main panel of the Tablet Shortcut Menu, the Tablet Shortcut Menu settings window opens. You can do the following with that window:

  • Customize Auto Screen Rotation settings. Auto screen rotation can be done upon switching to tablet mode and when system is tilted in tablet mode.

  • Configure the main panel of the Tablet Shortcut Menu. For instance, change the order of the listed functions, add, edit or remove custom defined applications and hide a function from the list.

  • Resume the system upon removing the pen. If this feature is enabled and the system is in suspend state, removing the digitizer pen from its slot will automatically resume the system. This feature is available only when the system is in tablet mode.

  • Disable microphone Beam Forming in tablet mode. If this feature is enabled, Beam Forming is automatically disabled on tablet mode.

Also, upon installation of this utility, the Button Lock button below the LCD bezel can be used to lock and unlock the tablet buttons of the system. For more information, please refer to Locking and Unlocking the tablet buttons.

To learn more about the Tablet Shortcut Menu, refer to the following:

Using the Tablet Shortcut Menu

Customize Tablet Shortcut Menu Settings

Customize Auto Screen Rotation Settings

Resume the system upon removing the pen

Automatically disable microphone Beam Forming in tablet mode


Using the Tablet Shortcut Menu

To start the Tablet Shortcut Menu, press the Tablet Shortcut Menu button on the computer display bezel with the Tablet Digitizer Pen. The main panel appears on the screen.

Another way to open the main panel is to press Start -> Program Files -> ThinkVantage -> Tablet Shortcut Menu by the Tablet Digitizer Pen.(For Windows XP with classic start menu, Start -> Programs -> ThinkVantage -> Tablet Shortcut Menu.)

In the main panel, the functions that you can use are listed. The default functions are as follows:

  • Manage My Connections

  • Give a Presentation

  • Put System in Standby

  • Volume

  • Brightness

  • Configure Tablet and Pen Settings

The following items have sub menu items:

  • Volume

    • Up

    • Down

    • Mute

  • Brightness

    • Up

    • Down

Note: Some items are not displayed on the main panel by default. Please refer to Customize Tablet Shortcut Menu Settings to display hidden items.

To learn more about how to use the Tablet Shortcut Menu, please refer to the following:

Start the ThinkPad Utility Programs

Change System Settings

Configure the Tablet and Pen Settings

Configure Touch Panel

Change Window Focus


Start the ThinkPad Utility Programs

In notebook mode, ThinkPad utility programs can be launched easily by using function key combinations on the computer keyboard. In tablet mode, where the keyboard cannot be used, you can use the Tablet Shortcut Menu to start a ThinkPad utility program.

In the main panel of the Tablet Shortcut Menu, the following options are listed:

  • Access Help

  • Manage My Connections

  • Give a Presentation

  • Eject Devices

To view Access Help, press the Access Help button.

To start Access Connections, press the Manage My Connections button.

To start the Presentation Director, press the Give a Presentation button.

To start the EasyEject Utility, press the Eject Devices button.

Note: If any of the ThinkPad utility programs in the list is not installed on your computer, it may not be listed on the main panel.


Change System Settings

You can use the Tablet Shortcut Menu to put your computer in standby mode, enable or disable the wireless radios, adjust the sound level, or control the brightness of the display.

In the main panel of the Tablet Shortcut Menu, the following options are listed:

  • Put System in Standby

  • Volume

  • Brightness

  • Enable/Disable Wireless Radios

To put the system in standby, press the Put System in Standby button.

To enable or disable wireless radios, press the Enable/Disable Wireless Radios button.

To adjust or mute the system volume, place the mouse pointer over the Volume button and a submenu will appear on the right. Select the action you want from the submenu.

To adjust the LCD brightness, place the mouse pointer over the Brightness button and a submenu will appear on the right. Select the action you want from the submenu.

Note: If you press the Disable Wireless Radios button, the built-in wireless networking features (the IEEE 802.11 standard), Bluetooth features and the wireless WAN features will be disabled. This option is shown if one or more of the wireless features are enabled.

Note: If you press the Enable Wireless Radios button, an Access Connections dialog will be shown, through which you can enable or disable wireless features.


Configure the Tablet and Pen Properties

Configure the Tablet and Pen Settings

You can configure the settings for the Tablet Buttons and the Tablet Digitizer Pen in the Tablet and Pen Properties. To launch the Tablet and Pen Properties panel, press the following button in the main panel of the Tablet Shortcut Menu.

  • Configure Tablet and Pen Settings


Configure Touch Panel

You can configure or calibrate the touch panel of your system through the Touch Panel applet. To launch the Touch Panel applet, press the following button in the main panel of the Tablet Shortcut Menu.

  • Configure Touch Panel

Note: For digitizer only models,Configure Touch Panel will not listed.


Change Window Focus

Even when many application programs are running, you can use easily activate the window that you want and display it at the top of the screen by using the Tablet Shortcut Menu. In the main panel, press the following button:

  • Change Window Focus

A menu dialog with a list of opened application windows will be displayed. From the list, just select the application you want activated. It will be displayed at the top of the screen.


Customize Tablet Shortcut Menu Settings

You can select the options you want to be displayed in the main panel. You can also change the order of these options.

To configure the main panel of the Tablet Shortcut Menu, do as follows:

  1. Start the Tablet Shortcut Menu.

  2. Press the Settings button with the Tablet Digitizer Pen. The Tablet Shortcut Menu settings window opens.

  3. To hide a function from the list on the main panel, clear the checkbox for it. To unhide a function to the list, select the checkbox for it.

    To add a custom application, press the New button, and browse for the application using the Browse... button. By default the description textbox is automatically filled with the application's file description. You can supply parameters to the application thru the arguments textbox.

    To edit a custom application, select the application in the list and press the Edit button. A dialog box will appear, allowing you to edit both the arguments and the description.

    To remove a custom application, select the application in the list and press the Delete button.

    To change the order of the functions, select the function that you want to move up or down, and press the up arrow button or the down arrow button.

    To use the short panel, on which only the buttons for the functions are displayed, select the checkbox for Show Icons Only. On the default main panel, both the function names and the buttons for them are displayed.

  4. Press OK or Apply.


Customize Auto Screen Rotation Settings

You may want to automatically rotate the screen to a defined orientation upon switching the system to tablet mode. To enable this feature, do as follows:

  1. Start the Tablet Shortcut Menu.

  2. Press the Settings button with the Tablet Digitizer Pen. The Tablet Shortcut Menu settings window opens.

  3. In the Auto Screen Rotation section, select the checkbox for Upon switching to tablet mode, automatically set screen orientation to:.

  4. Select the screen orientation that you want to use in tablet mode: primary portrait, primary landscape, secondary portrait, or secondary landscape.

  5. Press OK or Apply.

You may also want to enable auto screen rotation when your system is tilted in tablet mode. To enable this feature, do as follows:

  1. Start the Tablet Shortcut Menu.

  2. Press the Settings button with the Tablet Digitizer Pen. The Tablet Shortcut Menu settings window opens.

  3. In the Auto Screen Rotation section, select the checkbox for Enable ActiveRotate.

  4. Please follow the instructions to calibrate when you enable this feature for the first time.

  5. Press OK or Apply.

Note: To manually calibrate the auto rotation feature, click the Calibrate... button in the Settings Panel of the Tablet Shortcut Menu utility.


Resume The System Upon Removing The Pen

This is a feature that automatically resumes the system from standby when the digitizer pen is removed from its slot. To enable this feature, do as follows:

  1. Start the Tablet Shortcut Menu.

  2. Press the Settings button with the Tablet Digitizer Pen. The Tablet Shortcut Menu settings window opens.

  3. Below the Auto Screen Rotation section, select the checkbox for Resume the system upon removing the pen.

  4. Press OK or Apply.


Automatically disable microphone Beam Forming in tablet mode

Beam Forming is a microphone feature that combines signals from multiple microphones into a beam which is focused on the user. This results in improved voice quality and reduced background noise. However, Beam Forming might have issues with tablet mode because of the way the system is usually held. To address this, the utility has a feature that automatically disables the Beam Forming on tablet mode. To enable this feature, do as follows:

  1. Start the Tablet Shortcut Menu.

  2. Press the Settings button with the Tablet Digitizer Pen. The Tablet Shortcut Menu settings window opens.

  3. Below the Auto Screen Rotation section, select the checkbox for Automatically disable microphone Beam Forming in tablet mode.

  4. Press OK or Apply.


Locking and Unlocking the tablet buttons

You can lock or unlock the tablet buttons of your system. To perform this, do as follows:

  1. Press the Button Lock button of the LCD bezel.

  2. Press Yes when the confirmation dialog appears.